Subject: Re: Read/write BCSR registers of PPC460EX

From: Stefan Roese <[email-masked]>
Date: Mon, 2 May 2011 14:53:32 +0200

On Monday 02 May 2011 14:40:39 Josh Boyer wrote:
> >static unsigned long mem_addr = 0xC0000000;// IP base address
> 
> Is this the correct address for the BCSR?  On the 460EX Canyonlands
> board, the CPLD/BCSR is at 0xE1000000.

To be precise: It's 0x4.e100.0000 as 36bit physical address.
 
Cheers,
Stefan

--
DENX Software Engineering GmbH,      MD: Wolfgang Denk & Detlev Zundel
HRB 165235 Munich,  Office: Kirchenstr.5, D-82194 Groebenzell, Germany
Phone: (+49)-8142-66989-0 Fax: (+49)-8142-66989-80 Email: [email-masked]